library(ggplot2)
library(tidyr)

#faili sisselugemine ja andmete formaadi korrigeerimine
J344=read.csv("PT3-T3.4-J3.4.4.csv",header=TRUE, encoding ="UTF-8")
J344$Riik[3]="EESTI"
names(J344)=gsub("\\..", ", ", names(J344))
levels=reorder(J344$Riik,J344$`Jah, lõplikult`)
J344=pivot_longer(J344,2:4)
J344$value=as.numeric(gsub("%", "", J344$value))
J344$Riik=as.factor(J344$Riik)
J344$Riik=factor(J344$Riik,levels)
J344$name=as.factor(J344$name)
J344$name=factor(J344$name,levels(J344$name)[order(c(3,2,1))])
font=rep(1,27)
font[3]=2

#joonis
ggplot(J344)+
  geom_col(aes(x=Riik,y=value,fill=name),pos=position_dodge(0.8),width=0.7)+
  scale_fill_manual(values=c("#6666cc","#FF3600","#668080"))+
  theme_minimal()+
  theme(axis.text.x = element_text(angle = 90,face=font))+
  scale_y_continuous(breaks=seq(0,60,10))+
  theme(legend.position = "bottom")+
  theme(legend.title = element_blank())+
  xlab("")+
  ylab("%")







